## sqlmix-0.12.3.tar.gz

=== Makefile ===
#!/usr/bin/make -f

.PHONY: install

PACKAGE=sqlmix

ifneq ($(wildcard /usr/share/sourcemgr/make/py),)
include /usr/share/sourcemgr/make/py
# availabe via http://github.com/smurfix/sourcemgr

else
%:
		@echo "Please use 'python setup.py'."
		@exit 1
endif

=== debian/changelog ===
python-sqlmix (0.11.6) smurf; urgency=medium

  * bad name

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 25 Nov 2019 17:21:30 +0100

python-sqlmix (0.11.5) smurf; urgency=medium

  * Really toss python2

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 25 Nov 2019 17:20:09 +0100

python-sqlmix (0.11.4) smurf; urgency=medium

  * Toss python2

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 25 Nov 2019 17:19:26 +0100

python-sqlmix (0.11.3) smurf; urgency=medium

  * Dep fix

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 25 Nov 2019 17:18:48 +0100

python-sqlmix (0.11.2) smurf; urgency=medium

  * one more

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 15 Dec 2018 17:38:09 +0100

python-sqlmix (0.11.1) smurf; urgency=medium

  * Drop async_ on py2

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 15 Dec 2018 17:36:33 +0100

python-sqlmix (0.11.0) smurf; urgency=medium

  * Rename "sqlmix.async" to ".async_".

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 15 Dec 2018 17:32:30 +0100

python-sqlmix (0.10.9) smurf; urgency=medium

  * debhelper compat sset to 11

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 20 Oct 2018 16:10:48 +0200

python-sqlmix (0.10.8) smurf; urgency=medium

  * New version of sql_mix

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 20 Oct 2018 16:03:45 +0200

python-sqlmix (0.10.7) smurf; urgency=medium

  * Add version to sqlmix/__init__.py
  * Updated download location to github

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 23 Jul 2017 20:27:57 +0200

python-sqlmix (0.10.6) smurf; urgency=medium

  * postgres: fix separate port parameter

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 23 Jul 2017 20:05:38 +0200

python-sqlmix (0.10.5) smurf; urgency=medium

  * Fix DoSelect

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 19 May 2017 19:47:23 +0200

python-sqlmix (0.10.4) smurf; urgency=medium

  * missing port default

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 30 Apr 2017 16:00:28 +0200

python-sqlmix (0.10.3) smurf; urgency=medium

  * Fixed rules file

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 26 Apr 2017 19:17:29 +0200

python-sqlmix (0.10.2) smurf; urgency=medium

  * Re-enabled building of sql_diff

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 26 Apr 2017 19:16:13 +0200

python-sqlmix (0.10.1) smurf; urgency=medium

  * add asyncio version

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 26 Apr 2017 19:07:24 +0200

python-sqlmix (0.9.32) smurf; urgency=medium

  * kill .has_key()

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 31 May 2015 22:27:27 +0200

python-sqlmix (0.9.31) smurf; urgency=medium

  * Build a py3 version

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 31 May 2015 09:50:30 +0200

python-sqlmix (0.9.30) smurf; urgency=low

  * Build-depend on all the database goodies.
  * Logging.
  * Workaround for views (mysql)

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 05 May 2012 07:49:43 +0200

python-sqlmix (0.9.29-2) smurf; urgency=low

  * previous patch was incomplete

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 15 Apr 2012 21:08:47 +0200

python-sqlmix (0.9.29-1) smurf; urgency=low

  * Tracing.

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 15 Apr 2012 21:02:35 +0200

python-sqlmix (0.9.28-1) smurf; urgency=low

  * Allow setting up a database by passing the ConfigParser object directly

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 05 Apr 2012 14:29:05 +0200

python-sqlmix (0.9.27-1) smurf; urgency=low

  * Use python-psycopg2 for PostgreSQL access.

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 01 Apr 2012 10:37:11 +0200

python-sqlmix (0.9.26-1) smurf; urgency=low

  * Implement 'with' block in plain sqlmix

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 25 Feb 2012 15:10:21 +0100

python-sqlmix (0.9.25-2) smurf; urgency=low

  * Indent description to turn off line wrapping.

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 25 Feb 2012 12:33:21 +0100

python-sqlmix (0.9.25-1) smurf; urgency=low

  * Add a couple of ugly hacks to support UltraMySQL.

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 25 Feb 2012 12:30:19 +0100

python-sqlmix (0.9.23-2) smurf; urgency=low

  * *sigh* rename "done" to "release", there's already a 'done' Deferred

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 09 Feb 2012 08:40:01 +0100

python-sqlmix (0.9.23-1) smurf; urgency=low

  * Export ManyData from Twisted.

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 09 Feb 2012 08:28:39 +0100

python-sqlmix (0.9.22-1) smurf; urgency=low

  * re-add old addDone() method as done() (Twisted accessor)

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 09 Feb 2012 08:23:44 +0100

python-sqlmix (0.9.21-2) smurf; urgency=low

  * Database port needs to be an integer

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 12 Jan 2012 17:45:12 +0100

python-sqlmix (0.9.21-1) smurf; urgency=low

  * Added __repr__ to DB thread object

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 27 Nov 2011 22:41:16 +0100

python-sqlmix (0.9.20-1) smurf; urgency=low

  * Added the ability to set the transaction isolation level.
  * Also updated the documentation.

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 25 Nov 2011 12:59:43 +0100

python-sqlmix (0.9.19-1) smurf; urgency=low

  * Add prefix for debug output.

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 24 Nov 2011 13:00:33 +0100

python-sqlmix (0.9.18-1) smurf; urgency=low

  * Use ConfigParser to get database connection values

 -- Matthias Urlichs <smurf@smurf.noris.de>  Sat, 06 Aug 2011 13:18:18 +0200

python-sqlmix (0.9.17-1) unstable; urgency=low

  * Allow returning errors inline, not as exception.
  * Don't record database stacks when not debugging.

 -- Matthias Urlichs <smurf@smurf.noris.de>  Mon, 09 May 2011 11:08:28 +0200

python-sqlmix (0.9.16-1) unstable; urgency=low

  * Fix twisted-level connection timeout handling.

 -- Matthias Urlichs <smurf@smurf.noris.de>  Fri, 06 May 2011 22:25:08 +0200

python-sqlmix (0.9.15-1) unstable; urgency=low



=== debian/control ===
Source: python-sqlmix
Section: python
Priority: optional
Maintainer: Matthias Urlichs <smurf@smurf.noris.de>
Build-Depends: debhelper (>= 5), dh-python, python3-all,
	python3-mysql.connector,
	yapps2,
XS-Python-Version: all
Standards-Version: 3.7.2

Package: python3-sqlmix
Architecture: all
Depends: ${python3:Depends}, python3 (>= 3.5)
Recommends: python3-mysqldb, python3-ultramysql, python3-psycopg2, python3-pysqlite2
Suggests: python3-twisted
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Database-agnostic SQL frontend
 This Python module implements some enhancements for Python SQL:
 .
  * Common parameters for database setup (no more "db" vs. "database")
 .
  * Single-line SQL statements and single-row SELECTs:
    >>> db.Do("insert ...")
    >>> foo,bar = db.DoFn("select ... where id=123")
 .
  * SELECT statements which can be used as iterators:
    >>> for a,b in db.DoSelect("select ..."):
    >>>     ...
 .
  * A common and clear syntax for placing values in SQL statements.
    (The Python DBI supports five incompatible ones.)
    >>> foo,bar = db.DoFn("select ... where id=\${key}", key=whatever)
 .
 An adapter for the Twisted framework is included.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sqlmix
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build: sql_diff
	dh_auto_build

sql_diff: sql_diff.g
	yapps2 $^
	mv $@.py $@
	chmod +x $@


override_dh_install:
	dh_install
	rm -f ./debian/python-sqlmix/usr/lib/python2.7/dist-packages/sqlmix/async_.py

override_dh_builddeb:
	rm -f ./debian/python-sqlmix/usr/lib/python2.7/dist-packages/sqlmix/async_.py
	dh_builddeb
	
override_dh_md5sums:
	rm -f ./debian/python-sqlmix/usr/lib/python2.7/dist-packages/sqlmix/async_.py
	dh_md5sums
